#------------------------------------------------------------------------------
# FILE LOCATIONS
#------------------------------------------------------------------------------

data_directory = '{{ postgresql_data_directory }}'
hba_file = '{{ postgresql_configuration_directory }}/pg_hba.conf'
ident_file = '{{ postgresql_configuration_directory }}/pg_ident.conf'
# If external_pid_file is not explicitly set, no extra PID file is written.
external_pid_file = '{{ postgresql_socket_directories }}/{{ postgresql_version }}-main.pid'

#------------------------------------------------------------------------------
# CONNECTIONS
#------------------------------------------------------------------------------

listen_addresses = '{{ postgresql_listen_addresses }}'
port = {{ postgresql_port }}
max_connections = {{ postgresql_max_connections }}
# comma-separated list of directories
#unix_socket_directories = '{{ postgresql_socket_directories }}'

#------------------------------------------------------------------------------
# RESOURCE USAGE (except WAL)
#------------------------------------------------------------------------------

# - Memory -

shared_buffers = {{ postgresql_shared_buffers }}
dynamic_shared_memory_type = {{ postgresql_dynamic_shared_memory_type }}

#------------------------------------------------------------------------------
# REPORTING AND LOGGING
#------------------------------------------------------------------------------

log_destination = '{{ postgresql_log_destination }}'
logging_collector = {{ postgresql_logging_collector }}
{% if postgresql_logging_collector == "on "%}
log_directory = '{{ postgresql_log_directory }}'
{% endif %}

#------------------------------------------------------------------------------
# CLIENT CONNECTION DEFAULTS
#------------------------------------------------------------------------------

# - Locale and Formatting -

datestyle = 'iso, mdy'
timezone = '{{ postgresql_timezone }}'
lc_messages = '{{ postgresql_locale }}'
lc_monetary = '{{ postgresql_locale }}'
lc_numeric = '{{ postgresql_locale }}'
lc_time = '{{ postgresql_locale }}'

#------------------------------------------------------------------------------
# CONFIG FILE INCLUDES
#------------------------------------------------------------------------------

include_dir = 'conf.d'

#------------------------------------------------------------------------------
# REPLICATION SETTINGS (для мастера)
#------------------------------------------------------------------------------

{% if postgresql_master_bool | default(false) | bool %}
listen_addresses = '*'
wal_level = replica
max_wal_senders = 5
wal_keep_size = 512MB
hot_standby = on
{% endif %}
